Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.antserver.server
Class ConnectionHandler

    java.lang.Object
      net.sf.antcontrib.antserver.server.ConnectionHandler

All Implemented Interfaces:
  java.lang.Runnable

    public class ConnectionHandler

extends java.lang.Object
implements java.lang.Runnable

Place class description here.

Since:
Author:
  Matthew Inger,

Constructor Summary
`ConnectionHandler(ServerTask task, java.net.Socket socket)`

Method Summary
`java.lang.Throwable` | `getThrown()`
`void` | `run()`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionHandler

    public ConnectionHandler(ServerTask task,
                             java.net.Socket socket)

Method Detail

### start

    public void start()

### getThrown

    public java.lang.Throwable getThrown()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD